## lttng-modules 2.8.0

=== Makefile ===
#
# Makefile for the LTT objects.
#

ifneq ($(KERNELRELEASE),)

  # This part of the Makefile is used when called by the kernel build system
  # and defines the modules to be built.

  ifdef CONFIG_LOCALVERSION	# Check if dot-config is included.
    ifeq ($(CONFIG_TRACEPOINTS),)
      $(error The option CONFIG_TRACEPOINTS needs to be enabled in your kernel configuration)
    endif # CONFIG_TRACEPOINTS
  endif # ifdef CONFIG_LOCALVERSION

  TOP_LTTNG_MODULES_DIR := $(shell dirname $(lastword $(MAKEFILE_LIST)))

  lttng_check_linux_version = $(shell pwd)/include/linux/version.h
  lttng_check_generated_linux_version = $(shell pwd)/include/generated/uapi/linux/version.h

  #
  # Check for stale version.h, which can be a leftover from an old Linux
  # kernel tree moved to a newer kernel version, only pruned by make
  # distclean.
  #
  ifneq ($(wildcard $(lttng_check_linux_version)),)
    ifneq ($(wildcard $(lttng_check_generated_linux_version)),)
      $(error Duplicate version.h files found in $(lttng_check_linux_version) and $(lttng_check_generated_linux_version). Consider running make distclean on your kernel, or removing the stale $(lttng_check_linux_version) file)
    endif
  endif

  include $(TOP_LTTNG_MODULES_DIR)/Makefile.ABI.workarounds

  ccflags-y += -I$(TOP_LTTNG_MODULES_DIR)

  obj-$(CONFIG_LTTNG) += lttng-ring-buffer-client-discard.o
  obj-$(CONFIG_LTTNG) += lttng-ring-buffer-client-overwrite.o
  obj-$(CONFIG_LTTNG) += lttng-ring-buffer-metadata-client.o
  obj-$(CONFIG_LTTNG) += lttng-ring-buffer-client-mmap-discard.o
  obj-$(CONFIG_LTTNG) += lttng-ring-buffer-client-mmap-overwrite.o
  obj-$(CONFIG_LTTNG) += lttng-ring-buffer-metadata-mmap-client.o
  obj-$(CONFIG_LTTNG) += lttng-clock.o

  obj-$(CONFIG_LTTNG) += lttng-tracer.o

  lttng-tracer-objs := lttng-events.o lttng-abi.o \
                       lttng-probes.o lttng-context.o \
                       lttng-context-pid.o lttng-context-procname.o \
                       lttng-context-prio.o lttng-context-nice.o \
                       lttng-context-vpid.o lttng-context-tid.o \
                       lttng-context-vtid.o lttng-context-ppid.o \
                       lttng-context-vppid.o lttng-context-cpu-id.o \
                       lttng-context-interruptible.o \
                       lttng-context-need-reschedule.o lttng-calibrate.o \
                       lttng-context-hostname.o wrapper/random.o \
                       probes/lttng.o wrapper/trace-clock.o \
                       wrapper/page_alloc.o \
                       lttng-tracker-pid.o \
                       lttng-filter.o lttng-filter-interpreter.o \
                       lttng-filter-specialize.o \
                       lttng-filter-validator.o \
                       probes/lttng-probe-user.o

  ifneq ($(CONFIG_HAVE_SYSCALL_TRACEPOINTS),)
    lttng-tracer-objs += lttng-syscalls.o
  endif # CONFIG_HAVE_SYSCALL_TRACEPOINTS

  ifneq ($(CONFIG_PERF_EVENTS),)
    lttng-tracer-objs += $(shell \
      if [ $(VERSION) -ge 3 \
        -o \( $(VERSION) -eq 2 -a $(PATCHLEVEL) -ge 6 -a $(SUBLEVEL) -ge 33 \) ] ; then \
        echo "lttng-context-perf-counters.o" ; fi;)
  endif # CONFIG_PERF_EVENTS

  ifneq ($(CONFIG_PREEMPT_RT_FULL),)
    lttng-tracer-objs += lttng-context-migratable.o
    lttng-tracer-objs += lttng-context-preemptible.o
  endif # CONFIG_PREEMPT_RT_FULL

  ifneq ($(CONFIG_PREEMPT),)
    lttng-tracer-objs += lttng-context-preemptible.o
  endif

  lttng-tracer-objs += $(shell \
    if [ $(VERSION) -ge 4 \
      -o \( $(VERSION) -eq 3 -a $(PATCHLEVEL) -ge 15 -a $(SUBLEVEL) -ge 0 \) ] ; then \
      echo "lttng-tracepoint.o" ; fi;)

  obj-$(CONFIG_LTTNG) += lttng-statedump.o
  lttng-statedump-objs := lttng-statedump-impl.o wrapper/irqdesc.o \
                          wrapper/fdtable.o

  obj-$(CONFIG_LTTNG) += probes/
  obj-$(CONFIG_LTTNG) += lib/
  obj-$(CONFIG_LTTNG) += tests/

else # KERNELRELEASE

# This part of the Makefile is used when the 'make' command is runned in the
# base directory of the lttng-modules sources. It sets some environment and
# calls the kernel build system to build the actual modules.

KERNELDIR ?= /lib/modules/$(shell uname -r)/build
PWD := $(shell pwd)
CFLAGS = $(EXTCFLAGS)

default: modules

modules:
	$(MAKE) -C $(KERNELDIR) M=$(PWD) CONFIG_LTTNG=m modules

modules_install:
	$(MAKE) -C $(KERNELDIR) M=$(PWD) CONFIG_LTTNG=m modules_install

clean:
	$(MAKE) -C $(KERNELDIR) M=$(PWD) clean

%.i: %.c
	$(MAKE) -C $(KERNELDIR) M=$(PWD) CONFIG_LTTNG=m $@

endif # KERNELRELEASE

=== debian/changelog ===
lttng-modules (2.8.0-1) unstable; urgency=medium

  [ Michael Jeanson ]
  * [0b58135] New upstream version 2.8.0
  * [393b9dc] Update dkms.conf for 2.8.0
  * [d4a093e] Bump standards version to 3.9.8, no changes necessary
  * [8536e31] Updated debian copyright file

 -- Jon Bernard <jbernard@debian.org>  Tue, 24 May 2016 21:38:18 -0400

=== debian/control ===
Source: lttng-modules
Section: kernel
Priority: extra
Maintainer: Jon Bernard <jbernard@debian.org>
Build-Depends: debhelper (>= 9), dkms (>= 2.1.0.0)
Standards-Version: 3.9.8
Vcs-Git: https://anonscm.debian.org/git/collab-maint/lttng-modules.git
Vcs-Browser: https://anonscm.debian.org/gitweb/?p=collab-maint/lttng-modules.git;a=summary
Homepage: https://lttng.org

Package: lttng-modules-dkms
Architecture: all
Depends: ${misc:Depends}
Recommends: lttng-tools
Description: Linux Trace Toolkit (LTTng) kernel modules (DKMS)
 The LTTng project aims at providing highly efficient tracing tools for Linux.
 Its tracers help tracking down performance issues and debugging problems
 involving multiple concurrent processes and threads. Tracing across multiple
 systems is also possible.
 .
 This package contains the LTTng kernel modules. These provide additional
 instrumentation (not found in the mainline kernel), the ring buffer library,
 the tracer itself, and some additional utilities.
 .
 Installing on kernel versions prior to 2.6.38 might be possible, but has not
 been tested.

=== debian/watch ===
version=3
opts=uversionmangle=s/-(rc\d|pre\d)/~$1/,pgpsigurlmangle=s/$/.asc/ \
    http://lttng.org/files/lttng-modules/lttng-modules-(.*)\.tar\.(?:gz|bz2)

## lttng-modules 2.8.1

=== Makefile ===
--- 
+++ 
@@ -107,15 +107,15 @@
 default: modules
 
 modules:
-	$(MAKE) -C $(KERNELDIR) M=$(PWD) CONFIG_LTTNG=m modules
+	$(MAKE) -C $(KERNELDIR) M=$(PWD) CONFIG_LTTNG=m CONFIG_LTTNG_CLOCK_PLUGIN_TEST=m modules
 
 modules_install:
-	$(MAKE) -C $(KERNELDIR) M=$(PWD) CONFIG_LTTNG=m modules_install
+	$(MAKE) -C $(KERNELDIR) M=$(PWD) CONFIG_LTTNG=m CONFIG_LTTNG_CLOCK_PLUGIN_TEST=m modules_install
 
 clean:
 	$(MAKE) -C $(KERNELDIR) M=$(PWD) clean
 
 %.i: %.c
-	$(MAKE) -C $(KERNELDIR) M=$(PWD) CONFIG_LTTNG=m $@
+	$(MAKE) -C $(KERNELDIR) M=$(PWD) CONFIG_LTTNG=m CONFIG_LTTNG_CLOCK_PLUGIN_TEST=m $@
 
 endif # KERNELRELEASE

=== debian/changelog ===
lttng-modules (2.8.1-1) unstable; urgency=medium

  * [3609e73] Fix watch file
  * [5d22cff] Add Michael Jeanson as uploader
  * [855e3fd] New upstream version 2.8.1
  * [36aaaaa] Add new option to build clock test plugin
  * [92dd401] Test modules move to tests directory

 -- Michael Jeanson <mjeanson@ubuntu.com>  Mon, 03 Oct 2016 14:32:30 -0400

## lttng-modules 2.9.0

=== Makefile ===
--- 
+++ 
@@ -68,7 +68,7 @@
   ifneq ($(CONFIG_PERF_EVENTS),)
     lttng-tracer-objs += $(shell \
       if [ $(VERSION) -ge 3 \
-        -o \( $(VERSION) -eq 2 -a $(PATCHLEVEL) -ge 6 -a $(SUBLEVEL) -ge 33 \) ] ; then \
+        -o \( $(VERSION) -eq 2 -a $(PATCHLEVEL) -eq 6 -a $(SUBLEVEL) -ge 33 \) ] ; then \
         echo "lttng-context-perf-counters.o" ; fi;)
   endif # CONFIG_PERF_EVENTS
 
@@ -83,7 +83,7 @@
 
   lttng-tracer-objs += $(shell \
     if [ $(VERSION) -ge 4 \
-      -o \( $(VERSION) -eq 3 -a $(PATCHLEVEL) -ge 15 -a $(SUBLEVEL) -ge 0 \) ] ; then \
+      -o \( $(VERSION) -eq 3 -a $(PATCHLEVEL) -ge 15 \) ] ; then \
       echo "lttng-tracepoint.o" ; fi;)
 
   obj-$(CONFIG_LTTNG) += lttng-statedump.o

=== debian/changelog ===
lttng-modules (2.9.0-1ubuntu3.2) artful; urgency=medium

  * Fix builds for 4.13.0-38 kernel (LP: #1756240)
    - Update definition of kvm_mmio() to match the new kernel

 -- Khalid Elmously <khalid.elmously@canonical.com>  Wed, 21 Mar 2018 19:12:27 -0400

lttng-modules (2.9.0-1ubuntu3.1) artful; urgency=medium

  * Fix builds for 4.14 kernel (LP: #1739591)
    - [7ceeb15] Fix: update writeback instrumentation for kernel 4.14
    - [1f1ec4e] Fix: update btrfs instrumentation for kernel 4.14
    - [da3122a] Fix: version check error in btrfs instrumentation
    - [7feabe5] Fix: update block instrumentation for 4.14 kernel
    - [467f3a4] Fix: lttng-logger get_user_pages_fast error handling
    - [1d822c6] Update: kvm instrumentation for 4.14.14+, 4.9.77+, 4.4.112+
    - [bda29b7] Update kvm instrumentation for debian kernel 4.9.65-3
    - [5ccd696] Update: kvm instrumentation for 3.16.52 and 3.2.97
    - [d9f561b] Fix: kvm instrumentation for 4.15
    - [3363052] Update kvm instrumentation for 4.15

 -- Colin Ian King <colin.king@canonical.com>  Tue, 6 Feb 2018 16:02:03 +0000

lttng-modules (2.9.0-1ubuntu3) artful; urgency=medium

  * Fix missing ftrace headers on v4.11 (LP: #1704720)
    - adjust a previous kernel version check from v4.12 to v4.11

 -- Colin Ian King <colin.king@canonical.com>  Mon, 17 Jul 2017 11:57:59 +0100

lttng-modules (2.9.0-1ubuntu2) artful; urgency=medium

  * Cherry picks to fix build isues with 4.11 and 4.12 (LP: #1699755)
    - [75833a8] Fix: update mm_vmscan instrumentation for kernel 4.11
    - [e52717e] Fix: update btrfs instrumentation for kernel 4.11
    - [52a391b] Fix: changes to the vm_op fault cb prototype in
                libringbuffer
    - [8a9f549] Fix: update scsi instrumentation for kernel 4.11
    - [678dd1c] Fix: timers cputime_t arguments replaced by ull in kernel
                4.11
    - [4c4d77d] Fix: atomic_add_unless() returns true/false rather than
                prior value
    - [7793231] Fix: kref changes for kernel 4.11
    - [673e9a0] Fix: update sched instrumentation for kernel 4.12
    - [e2833be] Fix: update ringbuffer for kernel 4.12
    - [5807b1a] Fix: update btrfs instrumentation for kernel 4.12
    - [d245707] Fix: update block instrumentation for kernel 4.12
    - [5d84966] Fix: update ftrace probe for kernel 4.12
    - [bc1fb1b] Fix: Build ftrace probe on kernels prior to 4.12
    - [32fe46f] Fix: section mismatch warning caused by __exit annotation
  * Don't build ftrace lttng module for 4.11 upwards as this currently
    requires the full kernel source and not just the headers anymore

 -- Colin Ian King <colin.king@canonical.com>  Mon, 26 Jun 2017 14:53:11 +0100

lttng-modules (2.9.0-1ubuntu1) zesty; urgency=medium

  * Cherry picks to fix issues with Linux 4.10
    - [507143b] timer instrumentation: adapt to ktime_t without union
    - [ff8bdcc] btrfs instrumentation: update to 4.10 kernel
    - [1e36732] Adapt lttng-modules to Linux 4.10 cpu hotplug state machine
    - [f3166f2] Update btrfs instrumentation for 4.10 kernel
    - [f1a87e2] Fix: 4.10 btrfs instrumentation update backward compat
    - [ce4a2f0] Fix: 4.10 hotplug adaptation backward compat
    - [da3b99a] Fix: only include linux/cpuhotplug.h for kernels >= 4.10

 -- Seth Forshee <seth.forshee@canonical.com>  Tue, 21 Feb 2017 09:04:02 -0600

lttng-modules (2.9.0-1) unstable; urgency=medium

  * [500ac85] New upstream version 2.9.0

 -- Michael Jeanson <mjeanson@ubuntu.com>  Tue, 29 Nov 2016 18:13:55 -0500

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,9 @@
 Source: lttng-modules
 Section: kernel
 Priority: extra
-Maintainer: Jon Bernard <jbernard@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Jon Bernard <jbernard@debian.org>
+Uploaders: Michael Jeanson <mjeanson@ubuntu.com>
 Build-Depends: debhelper (>= 9), dkms (>= 2.1.0.0)
 Standards-Version: 3.9.8
 Vcs-Git: https://anonscm.debian.org/git/collab-maint/lttng-modules.git

## lttng-modules 2.10.5

=== debian/changelog ===
lttng-modules (2.10.5-1ubuntu1) bionic; urgency=medium

  * Fix builds for 4.13.0-38 kernel (LP: #1756240)
    - Update definition of kvm_mmio() to match the new kernel

 -- Khalid Elmously <khalid.elmously@canonical.com>  Fri, 23 Mar 2018 10:20:08 -0400

lttng-modules (2.10.5-1) unstable; urgency=medium

  * [a2c04be] Switched my uploader email to @debian.org
  * [d12047b] Moved VCS to salsa.debian.org
  * [3d73583] New upstream version 2.10.5
  * [ca1e313] Use secure copyright format uri
  * [3b094a7] Bump standards version to 4.1.3
  * [696d37e] Add patch to fix build on 4.14.0-3

 -- Michael Jeanson <mjeanson@debian.org>  Tue, 30 Jan 2018 16:35:18 -0500

lttng-modules (2.10.4-1) unstable; urgency=medium

  * [2926967] New upstream version 2.10.4

 -- Michael Jeanson <mjeanson@ubuntu.com>  Wed, 08 Nov 2017 14:28:35 -0500

lttng-modules (2.10.3-1) unstable; urgency=medium

  * [5a07c44] Fix build with linux-rt 4.9 kernel
  * [d099769] New upstream version 2.10.3
  * [3d2a6d4] Use https url in watch file

 -- Michael Jeanson <mjeanson@ubuntu.com>  Mon, 06 Nov 2017 11:02:56 -0500

lttng-modules (2.10.2-2) unstable; urgency=medium

  * [0ac6cb8] Add autopkgtest support

 -- Michael Jeanson <mjeanson@ubuntu.com>  Tue, 24 Oct 2017 15:15:09 -0400

lttng-modules (2.10.2-1) unstable; urgency=medium

  * [d5106f3] New upstream version 2.10.2
  * [ca6162d] Changed deprecated extra priority to optional
  * [4eb2511] Bump standards version to 4.1.1
  * [f0c44a7] Use dpkg-dev instead of parsing the output of dpkg-parsechangelog

 -- Michael Jeanson <mjeanson@ubuntu.com>  Thu, 12 Oct 2017 16:14:22 -0400

lttng-modules (2.10.0-1) unstable; urgency=medium

  * [b1735c2] Move to DEP-14 branch naming
  * [8ea9cfd] New upstream version 2.10.0
  * [4e8ed31] Drop patch merged upstream

 -- Michael Jeanson <mjeanson@ubuntu.com>  Tue, 01 Aug 2017 17:08:55 -0400

lttng-modules (2.9.3-1) unstable; urgency=medium

  * [0f7109e] New upstream version 2.9.2
  * [0ad5f83] Do not consider rc versions in watch file
  * [d00dd27] New upstream version 2.9.3
  * [e82c47f] Bump standards version to 4.0.0, no changes necessary
  * [6f4c281] Add support for kernel 4.12

 -- Michael Jeanson <mjeanson@ubuntu.com>  Fri, 30 Jun 2017 15:27:08 -0400

lttng-modules (2.9.1-1) unstable; urgency=medium

  * [2b5c32e] New upstream version 2.9.1

 -- Michael Jeanson <mjeanson@ubuntu.com>  Mon, 20 Feb 2017 17:24:31 -0500

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,13 @@
 Source: lttng-modules
 Section: kernel
-Priority: extra
+Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Jon Bernard <jbernard@debian.org>
-Uploaders: Michael Jeanson <mjeanson@ubuntu.com>
-Build-Depends: debhelper (>= 9), dkms (>= 2.1.0.0)
-Standards-Version: 3.9.8
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/lttng-modules.git
-Vcs-Browser: https://anonscm.debian.org/gitweb/?p=collab-maint/lttng-modules.git;a=summary
+Uploaders: Michael Jeanson <mjeanson@debian.org>
+Build-Depends: debhelper (>= 9), dkms (>= 2.1.0.0), dpkg-dev (>= 1.16.1)
+Standards-Version: 4.1.3
+Vcs-Git: https://salsa.debian.org/debian/lttng-modules.git
+Vcs-Browser: https://salsa.debian.org/debian/lttng-modules.git
 Homepage: https://lttng.org
 
 Package: lttng-modules-dkms

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

include /usr/share/dpkg/pkg-info.mk

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ --with dkms

override_dh_dkms:
	dh_dkms -V ${DEB_VERSION_UPSTREAM}

override_dh_auto_install:
	# Build install files for the dkms'ified sources
	sed -e 's/CVERSION/${DEB_VERSION_UPSTREAM}/g' < debian/lttng-modules-dkms.install.in > debian/lttng-modules-dkms.install
	sed -e 's/CVERSION/${DEB_VERSION_UPSTREAM}/g' < debian/lttng-modules-dkms.dkms.in > debian/lttng-modules-dkms.dkms
	dh_auto_install

override_dh_install:
	dh_install -Xdebian/ -XLICENSE -Xgpl-2.0.txt -Xlgpl-2.1.txt -X.swp

override_dh_auto_clean:
	exit 0

override_dh_auto_build:
	exit 0

override_dh_clean:
	rm -f debian/lttng-modules-dkms.install
	rm -f debian/lttng-modules-dkms.dkms
	dh_clean

=== debian/tests/control ===
Test-Command: /usr/lib/dkms/dkms-autopkgtest
Restrictions: needs-root, allow-stderr
Depends: @, dkms

## lttng-modules 2.10.7

=== debian/changelog ===
lttng-modules (2.10.7-1) unstable; urgency=medium

  * [a2b641e] New upstream version 2.10.7
  * [473eab3] Drop patch merged upstream
  * [8237ded] Bump standard to 4.2.0, no changes necessary

 -- Michael Jeanson <mjeanson@debian.org>  Thu, 09 Aug 2018 16:57:36 -0400

lttng-modules (2.10.6-2) unstable; urgency=medium

  * [4005ba5] Add patch to fix build on linux 4.16

 -- Michael Jeanson <mjeanson@debian.org>  Wed, 04 Jul 2018 11:51:42 -0400

lttng-modules (2.10.6-1) unstable; urgency=medium

  * [60f9658] New upstream version 2.10.6
  * [e1998ce] Drop patch merged upstream
  * [36dee0d] Use salsa canonical uri in VCS-Browser
  * [8542a9d] Bump standard to 4.1.4, no changes necessary

 -- Michael Jeanson <mjeanson@debian.org>  Wed, 23 May 2018 11:30:51 -0400

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,12 @@
 Source: lttng-modules
 Section: kernel
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Jon Bernard <jbernard@debian.org>
+Maintainer: Jon Bernard <jbernard@debian.org>
 Uploaders: Michael Jeanson <mjeanson@debian.org>
 Build-Depends: debhelper (>= 9), dkms (>= 2.1.0.0), dpkg-dev (>= 1.16.1)
-Standards-Version: 4.1.3
+Standards-Version: 4.2.0
 Vcs-Git: https://salsa.debian.org/debian/lttng-modules.git
-Vcs-Browser: https://salsa.debian.org/debian/lttng-modules.git
+Vcs-Browser: https://salsa.debian.org/debian/lttng-modules/
 Homepage: https://lttng.org
 
 Package: lttng-modules-dkms

## lttng-modules 2.10.8

=== debian/changelog ===
lttng-modules (2.10.8-1ubuntu2~18.04.5) bionic; urgency=medium

  * Backport fixes to jbd2 format in 5.4.229 (LP: #2006755)
    - d/p/0016-fix-jbd2-use-the-correct-print-format.patch
    - d/p/0017-fix-jbd2-use-the-correct-print-format-v5.10.163.patch
    - d/p/0018-fix-jbd2-upper-bound-for-v5.10.163.patch
    - d/p/0019-fix-jbd2-use-the-correct-print-format-v5.4.229.patch

 -- Roxana Nicolescu <roxana.nicolescu@canonical.com>  Fri, 10 Feb 2023 09:56:19 +0200

lttng-modules (2.10.8-1ubuntu2~18.04.4) bionic; urgency=medium

  * Backport upstream fix to handle removal of random tracepoints in the
    kernel (LP: #1986921):
    - d/p/compat-5.4/0001-support-kernels-without-random-tracepoints.patch

 -- Andrea Righi <andrea.righi@canonical.com>  Thu, 08 Sep 2022 08:14:15 +0000

lttng-modules (2.10.8-1ubuntu2~18.04.3) bionic; urgency=medium

  * Fix writeback_queue_io() modification (LP: #1896781):
    - d/p/compat-5.9/0001-fix-writeback-queue-io.patch

 -- Stefan Bader <stefan.bader@canonical.com>  Thu, 24 Sep 2020 16:06:01 +0200

lttng-modules (2.10.8-1ubuntu2~18.04.2) bionic; urgency=medium

  * Fix vmalloc_sync_all() removal (LP: #1874521). Changes from upstream lttng repo:
    - d/p/compat-5.6/0001-Update-for-kernel-5.7-use-vmalloc_sync_mappings-on-k.patch
    - d/p/compat-5.6/0002-Fix-missing-wrapper-rename-to-wrapper_vmalloc_sync_m.patch
    - d/p/compat-5.6/0003-Fix-Use-vmalloc_sync_mappings-on-kernel-5.6-as-well.patch
    - d/p/compat-5.6/0004-Update-Use-vmalloc_sync_mappings-for-stable-kernels.patch
    - d/p/compat-5.6/0005-Update-Use-vmalloc_sync_mappings-for-ubuntu.patch

 -- Stefan Bader <stefan.bader@canonical.com>  Mon, 08 Jun 2020 16:57:12 +0200

lttng-modules (2.10.8-1ubuntu2~18.04.1) bionic; urgency=medium

  * Sync with Eoan to fix 5.3 build issues (LP: #1844764)

 -- Marcelo Henrique Cerri <marcelo.cerri@canonical.com>  Fri, 22 Nov 2019 18:11:50 -0300

lttng-modules (2.10.8-1ubuntu2) eoan; urgency=medium

  * Fix dkms build with Linux 5.1/5.2 (LP: #1830048) 
    - debian/patches/0006-Fix-mm-create-the-new-vm_fault_t-type-v5.1.patch
    - debian/patches/0007-Fix-rcu-Remove-wrapper-definitions-for-obsolete-RCU..patch
    - debian/patches/0008-Fix-pipe-stop-using-can_merge-v5.1.patch
    - debian/patches/0009-Fix-Revert-KVM-MMU-show-mmu_valid_gen.-v5.1.patch
    - debian/patches/0010-Fix-Remove-start-and-number-from-syscall_get_argumen.patch
    - debian/patches/0011-fix-timer-trace-Improve-timer-tracing-v5.2.patch
    - debian/patches/0012-fix-mm-vmscan-drop-may_writepage-and-classzone_idx-f.patch
    - debian/patches/0013-fix-mm-vmscan-simplify-trace_reclaim_flags-and-trace.patch
    - debian/patches/0014-fix-mm-move-recent_rotated-pages-calculation-to-shri.patch
    - debian/patches/0015-fix-random-only-read-from-dev-random-after-its-pool-.patch

 -- Seth Forshee <seth.forshee@canonical.com>  Fri, 31 May 2019 16:13:39 -0500

lttng-modules (2.10.8-1ubuntu1) disco; urgency=medium

  * Fix Linux 5.0 dkms build issues (LP: #1813062)
    - Minor patch wiggle backports of upstream commits:
    [80bb260] Fix: Remove 'type' argument from access_ok()
              function (v5.0)
    [cef5d79] Fix: signal: Remove SEND_SIG_FORCED (v4.20)
    [b90a7f3] Fix: signal: Distinguish between kernel_siginfo and
              siginfo
    [b9dbdfe] Fix: Replace pointer values with task->tk_pid and
              rpc_clnt->cl_clid
    [28fef30] Fix: SUNRPC: Simplify defining common RPC trace
              events (v5.0)

 -- Colin Ian King <colin.king@ubuntu.com>  Thu, 24 Jan 2019 14:46:47 +0100

lttng-modules (2.10.8-1) unstable; urgency=medium

  * [7037820] New upstream version 2.10.8
  * [9138c6b] Bump standard to 4.2.1, no changes necessary

 -- Michael Jeanson <mjeanson@debian.org>  Fri, 02 Nov 2018 16:13:20 -0400

=== debian/watch ===
version=3
opts=pgpsigurlmangle=s/$/.asc/ \
    https://lttng.org/files/lttng-modules/lttng-modules-([\d\.]*)\.tar\.(?:gz|bz2)

## lttng-modules 2.11.1

=== debian/changelog ===
lttng-modules (2.11.1-1) unstable; urgency=medium

  * [097ed28] New upstream version 2.11.1

 -- Michael Jeanson <mjeanson@debian.org>  Wed, 29 Jan 2020 11:40:35 -0500

lttng-modules (2.11.0-2) unstable; urgency=medium

  * [a196266] Add new probes to dkms config

 -- Michael Jeanson <mjeanson@debian.org>  Mon, 21 Oct 2019 17:18:34 -0400

lttng-modules (2.11.0-1) unstable; urgency=medium

  * [79326af] New upstream version 2.11.0
  * [a732214] Bump debhelper to 11
  * [b0627db] Set Rules-Requires-Root to no
  * [3da3e09] Bump standards version to 4.4.1
  * [1513156] Update d/copyright

 -- Michael Jeanson <mjeanson@debian.org>  Thu, 17 Oct 2019 15:49:22 -0400

lttng-modules (2.10.11-1) unstable; urgency=medium

  * [64ea811] New upstream version 2.10.11

 -- Michael Jeanson <mjeanson@debian.org>  Thu, 12 Sep 2019 11:17:02 -0400

lttng-modules (2.10.10-1) unstable; urgency=medium

  * [c753cf3] Disable Salsa CI autopkgtest test
  * [113af65] New upstream version 2.10.10

 -- Michael Jeanson <mjeanson@debian.org>  Fri, 12 Jul 2019 14:21:09 -0400

lttng-modules (2.10.9-2) unstable; urgency=medium

  * [f6ae7c6] Don't remove README from sources (Closes: #924896)

 -- Michael Jeanson <mjeanson@debian.org>  Mon, 18 Mar 2019 13:02:40 -0400

lttng-modules (2.10.9-1) unstable; urgency=medium

  * [000a3f0] Add Salsa CI configuration
  * [190ff29] dkms autopkgtest requires machine isolation
  * [a220fec] New upstream version 2.10.9
  * [f4fb560] Bump debhelper compat to 10
  * [60010d9] Bump standards version to 4.3.0
  * [77dbb46] Add upstream metadata file
  * [7a30331] Exclude doc files from usr/src

 -- Michael Jeanson <mjeanson@debian.org>  Tue, 12 Mar 2019 15:36:16 -0400

## lttng-modules 2.11.2

=== debian/changelog ===
lttng-modules (2.11.2-1ubuntu0.2) focal; urgency=medium

  * Fix writeback_queue_io() modification (LP: #1896781):
    - d/p/compat-5.9/0001-fix-writeback-queue-io.patch

 -- Stefan Bader <stefan.bader@canonical.com>  Wed, 23 Sep 2020 18:21:58 +0200

lttng-modules (2.11.2-1ubuntu0.1) focal; urgency=medium

  * Fix vmalloc_sync_all() removal (LP: #1874521). Changes from upstream lttng repo:
    - d/p/compat-5.6/0001-Update-for-kernel-5.7-use-vmalloc_sync_mappings-on-k.patch
    - d/p/compat-5.6/0002-Fix-missing-wrapper-rename-to-wrapper_vmalloc_sync_m.patch
    - d/p/compat-5.6/0003-Fix-Use-vmalloc_sync_mappings-on-kernel-5.6-as-well.patch
    - d/p/compat-5.6/0004-Update-Use-vmalloc_sync_mappings-for-stable-kernels.patch
    - d/p/compat-5.6/0005-Update-Use-vmalloc_sync_mappings-for-ubuntu.patch

 -- Stefan Bader <stefan.bader@canonical.com>  Mon, 08 Jun 2020 16:27:24 +0200

lttng-modules (2.11.2-1) unstable; urgency=medium

  * [2bebc7c] New upstream version 2.11.2

 -- Michael Jeanson <mjeanson@debian.org>  Wed, 26 Feb 2020 11:12:39 -0500

## lttng-modules 2.12.0

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,4 @@
-#
-# Makefile for the LTT objects.
-#
+# SPDX-License-Identifier: (GPL-2.0 or LGPL-2.1)
 
 ifneq ($(KERNELRELEASE),)
 
@@ -29,7 +27,7 @@
     endif
   endif
 
-  include $(TOP_LTTNG_MODULES_DIR)/Makefile.ABI.workarounds
+  include $(TOP_LTTNG_MODULES_DIR)/Kbuild.common
 
   ccflags-y += -I$(TOP_LTTNG_MODULES_DIR)
 
@@ -43,33 +41,44 @@
 
   obj-$(CONFIG_LTTNG) += lttng-tracer.o
 
-  lttng-tracer-objs := lttng-events.o lttng-abi.o \
+  lttng-tracer-objs := lttng-events.o lttng-abi.o lttng-string-utils.o \
                        lttng-probes.o lttng-context.o \
                        lttng-context-pid.o lttng-context-procname.o \
                        lttng-context-prio.o lttng-context-nice.o \
                        lttng-context-vpid.o lttng-context-tid.o \
                        lttng-context-vtid.o lttng-context-ppid.o \
                        lttng-context-vppid.o lttng-context-cpu-id.o \
+                       lttng-context-uid.o \
+                       lttng-context-euid.o \
+                       lttng-context-suid.o \
+                       lttng-context-gid.o \
+                       lttng-context-egid.o \
+                       lttng-context-sgid.o \
+                       lttng-context-vuid.o \
+                       lttng-context-veuid.o \
+                       lttng-context-vsuid.o \
+                       lttng-context-vgid.o \
+                       lttng-context-vegid.o \
+                       lttng-context-vsgid.o \
                        lttng-context-interruptible.o \
-                       lttng-context-need-reschedule.o lttng-calibrate.o \
+                       lttng-context-need-reschedule.o \
+                       lttng-context-callstack.o lttng-calibrate.o \
                        lttng-context-hostname.o wrapper/random.o \
                        probes/lttng.o wrapper/trace-clock.o \
                        wrapper/page_alloc.o \
-                       lttng-tracker-pid.o \
+                       lttng-tracker-id.o \
                        lttng-filter.o lttng-filter-interpreter.o \
                        lttng-filter-specialize.o \
                        lttng-filter-validator.o \
-                       probes/lttng-probe-user.o
+                       probes/lttng-probe-user.o \
+                       lttng-tp-mempool.o
 
   ifneq ($(CONFIG_HAVE_SYSCALL_TRACEPOINTS),)
     lttng-tracer-objs += lttng-syscalls.o
   endif # CONFIG_HAVE_SYSCALL_TRACEPOINTS
 
   ifneq ($(CONFIG_PERF_EVENTS),)
-    lttng-tracer-objs += $(shell \
-      if [ $(VERSION) -ge 3 \
-        -o \( $(VERSION) -eq 2 -a $(PATCHLEVEL) -eq 6 -a $(SUBLEVEL) -ge 33 \) ] ; then \
-        echo "lttng-context-perf-counters.o" ; fi;)
+    lttng-tracer-objs += lttng-context-perf-counters.o
   endif # CONFIG_PERF_EVENTS
 
   ifneq ($(CONFIG_PREEMPT_RT_FULL),)
@@ -85,6 +94,32 @@
     if [ $(VERSION) -ge 4 \
       -o \( $(VERSION) -eq 3 -a $(PATCHLEVEL) -ge 15 \) ] ; then \
       echo "lttng-tracepoint.o" ; fi;)
+
+  lttng-tracer-objs += lttng-context-cgroup-ns.o
+
+  ifneq ($(CONFIG_IPC_NS),)
+    lttng-tracer-objs += lttng-context-ipc-ns.o
+  endif
+
+  ifneq ($(wildcard $(mnt_ns_dep)),)
+     lttng-tracer-objs += lttng-context-mnt-ns.o
+  endif
+
+  ifneq ($(CONFIG_NET_NS),)
+    lttng-tracer-objs += lttng-context-net-ns.o
+  endif
+
+  ifneq ($(CONFIG_PID_NS),)
+    lttng-tracer-objs += lttng-context-pid-ns.o
+  endif
+
+  ifneq ($(CONFIG_USER_NS),)
+    lttng-tracer-objs += lttng-context-user-ns.o
+  endif
+
+  ifneq ($(CONFIG_UTS_NS),)
+    lttng-tracer-objs += lttng-context-uts-ns.o
+  endif
 
   obj-$(CONFIG_LTTNG) += lttng-statedump.o
   lttng-statedump-objs := lttng-statedump-impl.o wrapper/irqdesc.o \

=== debian/changelog ===
lttng-modules (2.12.0-1) unstable; urgency=medium

  * [e5929d1] New upstream version 2.12.0
  * [4023fa1] Update d/copyright

 -- Michael Jeanson <mjeanson@debian.org>  Wed, 08 Apr 2020 15:49:55 -0400

## lttng-modules 2.12.1

=== debian/changelog ===
lttng-modules (2.12.1-1) unstable; urgency=medium

  * [d5516c1] New upstream version 2.12.1
  * [079f83b] Add lttng-wrapper.ko to dkms config

 -- Michael Jeanson <mjeanson@debian.org>  Wed, 03 Jun 2020 13:33:34 -0400

## lttng-modules 2.12.2

=== debian/changelog ===
lttng-modules (2.12.2-1ubuntu3) hirsute; urgency=medium

  * Linux 5.11 support (LP: #1918109):
    - debian/patches/0010-linux-5.11-support.patch

 -- Andrea Righi <andrea.righi@canonical.com>  Mon, 08 Mar 2021 10:14:01 +0000

lttng-modules (2.12.2-1ubuntu2) hirsute; urgency=medium

  * Import upstream/stable-2.12 fixes for Linux 5.9 && 5.10:
    https://github.com/lttng/lttng-modules.git

 -- Paolo Pisati <paolo.pisati@canonical.com>  Thu, 26 Nov 2020 11:07:33 +0000

lttng-modules (2.12.2-1ubuntu1) groovy; urgency=medium

  * fix build bug with kernel 5.8. (LP: #1896077)

 -- Andrea Righi <andrea.righi@canonical.com>  Wed, 16 Sep 2020 14:26:51 +0000

lttng-modules (2.12.2-1) unstable; urgency=medium

  * [5de8762] New upstream version 2.12.2

 -- Michael Jeanson <mjeanson@debian.org>  Wed, 05 Aug 2020 13:52:08 -0400

## lttng-modules 2.12.3

=== debian/changelog ===
lttng-modules (2.12.3-1) unstable; urgency=medium

  * [5674e6f] New upstream version 2.12.3

 -- Michael Jeanson <mjeanson@debian.org>  Tue, 06 Oct 2020 11:08:17 -0400

## lttng-modules 2.12.4

=== debian/changelog ===
lttng-modules (2.12.4-1) unstable; urgency=medium

  * [46f9e6c] New upstream version 2.12.4

 -- Michael Jeanson <mjeanson@debian.org>  Tue, 12 Jan 2021 10:38:54 -0500

## lttng-modules 2.12.5

=== Makefile ===
--- 
+++ 
@@ -41,6 +41,8 @@
 
   obj-$(CONFIG_LTTNG) += lttng-tracer.o
 
+  obj-$(CONFIG_LTTNG) += lttng-wrapper.o
+
   lttng-tracer-objs := lttng-events.o lttng-abi.o lttng-string-utils.o \
                        lttng-probes.o lttng-context.o \
                        lttng-context-pid.o lttng-context-procname.o \
@@ -63,15 +65,22 @@
                        lttng-context-interruptible.o \
                        lttng-context-need-reschedule.o \
                        lttng-context-callstack.o lttng-calibrate.o \
-                       lttng-context-hostname.o wrapper/random.o \
-                       probes/lttng.o wrapper/trace-clock.o \
-                       wrapper/page_alloc.o \
+                       lttng-context-hostname.o \
+                       probes/lttng.o \
                        lttng-tracker-id.o \
                        lttng-filter.o lttng-filter-interpreter.o \
                        lttng-filter-specialize.o \
                        lttng-filter-validator.o \
                        probes/lttng-probe-user.o \
-                       lttng-tp-mempool.o
+                       lttng-tp-mempool.o \
+
+  lttng-wrapper-objs := wrapper/page_alloc.o \
+                        wrapper/random.o \
+                        wrapper/trace-clock.o \
+                        wrapper/kallsyms.o \
+                        wrapper/irqdesc.o \
+                        wrapper/fdtable.o \
+                        lttng-wrapper-impl.o
 
   ifneq ($(CONFIG_HAVE_SYSCALL_TRACEPOINTS),)
     lttng-tracer-objs += lttng-syscalls.o
@@ -122,8 +131,7 @@
   endif
 
   obj-$(CONFIG_LTTNG) += lttng-statedump.o
-  lttng-statedump-objs := lttng-statedump-impl.o wrapper/irqdesc.o \
-                          wrapper/fdtable.o
+  lttng-statedump-objs := lttng-statedump-impl.o
 
   obj-$(CONFIG_LTTNG) += probes/
   obj-$(CONFIG_LTTNG) += lib/

=== debian/changelog ===
lttng-modules (2.12.5-1ubuntu2~20.04.6) focal; urgency=medium

  * Fix compile time error on kernels > 5.15.171 and < 5.16.0 (LP: #2096645)
    - 0017-Fix-tracepoint-mm_page_alloc_zone_locked-v5.15.171.patch

 -- Massimiliano Pellizzer <massimiliano.pellizzer@canonical.com>  Wed, 05 Feb 2025 11:28:34 +0100

lttng-modules (2.12.5-1ubuntu2~20.04.5) focal; urgency=medium

  * Backport fixes to jbd2 format in 5.4.229 (LP: #2004644)
    - d/p/0013-fix-jbd2-use-the-correct-print-format.patch
    - d/p/0014-fix-jbd2-use-the-correct-print-format-v5.10.163.patch
    - d/p/0015-fix-jbd2-upper-bound-for-v5.10.163.patch
    - d/p/0016-fix-jbd2-use-the-correct-print-format-v5.4.229.patch

 -- Roxana Nicolescu <roxana.nicolescu@canonical.com>  Fri, 03 Feb 2023 11:09:19 +0200

lttng-modules (2.12.5-1ubuntu2~20.04.4) focal; urgency=medium

  * Backport fixes to handle kfree_skb_reason() in 5.15.y (LP: #1990232)
    - d/p/0010-compat-v5.15.58-add-kfree-skb-reason.patch
    - d/p/0011-compat-v5.15.58-rename-SKB-DROP-REASON-SOCKET-FILTER.patch
    - d/p/0012-compat-v5.15.58-introduce-kfree-skb-reason.patch

 -- Stefan Bader <stefan.bader@canonical.com>  Wed, 21 Sep 2022 16:32:14 +0200

lttng-modules (2.12.5-1ubuntu2~20.04.3) focal; urgency=medium

  * [ed1149ef] Backport upstream fix to handle removal of random.h
    The change was backported to v5.15.44 by upstream stable and will
    break the build for focal:linux-hwe-5.15. (LP: #1986921)

 -- Stefan Bader <stefan.bader@canonical.com>  Tue, 23 Aug 2022 11:04:49 +0200

lttng-modules (2.12.5-1ubuntu2~20.04.2) focal; urgency=medium

  * Cherry picks support for kernel >= v5.14 from
    upstream/stable-2.12. (LP: #1960165)

 -- Andrea Righi <andrea.righi@canonical.com>  Sun, 06 Feb 2022 17:07:00 +0000

lttng-modules (2.12.5-1ubuntu2~20.04.1) focal; urgency=medium

  * Use Impish version of lttng-modules with Focal (LP: #1932165).

 -- Andrea Righi <andrea.righi@canonical.com>  Tue, 13 Jul 2021 12:07:28 +0000

lttng-modules (2.12.5-1ubuntu2) impish; urgency=medium

  * Cherry picks support for kernel v5.13 from upstream/stable-2.12

 -- Paolo Pisati <paolo.pisati@canonical.com>  Mon, 17 May 2021 10:00:37 +0000

lttng-modules (2.12.5-1ubuntu1) impish; urgency=medium

  * Cherry picks support for kernel v5.12 from upstream/stable-2.12

 -- Paolo Pisati <paolo.pisati@canonical.com>  Mon, 10 May 2021 11:13:17 +0000

lttng-modules (2.12.5-1) unstable; urgency=medium

  * [8e0b514] New upstream version 2.12.5
  * [9feae13] Refreshed patches
  * Add support for kernel v5.11
  * Add support for stable branch kernels with sublevel >=256

 -- Michael Jeanson <mjeanson@debian.org>  Wed, 17 Feb 2021 17:12:39 -0500

lttng-modules (2.12.2-1ubuntu1~20.04.2) focal; urgency=medium

  * No change rebuild in security pocket. LP: #1914279.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Thu, 29 Apr 2021 16:08:09 +0100

lttng-modules (2.12.2-1ubuntu1~20.04.1) focal; urgency=medium

  [ Andrea Righi ]
  * Fix build bug with kernel 5.8. (LP: #1896077).

  * Use the Groovy version of lttng-modules with Focal.

 -- Khalid Elmously <khalid.elmously@canonical.com>  Tue, 11 Nov 2020 00:26:51 -0500

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,12 @@
 Source: lttng-modules
 Section: kernel
 Priority: optional
-Maintainer: Jon Bernard <jbernard@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Jon Bernard <jbernard@debian.org>
 Uploaders: Michael Jeanson <mjeanson@debian.org>
-Build-Depends: debhelper (>= 9), dkms (>= 2.1.0.0), dpkg-dev (>= 1.16.1)
-Standards-Version: 4.2.0
+Build-Depends: debhelper (>= 11~), dkms (>= 2.1.0.0), dpkg-dev (>= 1.16.1)
+Standards-Version: 4.4.1
+Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/debian/lttng-modules.git
 Vcs-Browser: https://salsa.debian.org/debian/lttng-modules/
 Homepage: https://lttng.org

=== debian/rules ===
--- 
+++ 
@@ -19,7 +19,11 @@
 	dh_auto_install
 
 override_dh_install:
-	dh_install -Xdebian/ -XLICENSE -Xgpl-2.0.txt -Xlgpl-2.1.txt -X.swp
+	dh_install -Xdebian/ \
+		-Xgpl-2.0.txt \
+		-Xlgpl-2.1.txt \
+		-XLICENSE \
+		-XTODO
 
 override_dh_auto_clean:
 	exit 0

## lttng-modules 2.13.1

=== debian/changelog ===
lttng-modules (2.13.1-1) unstable; urgency=medium

  * [a4701a4] New upstream version 2.13.1

 -- Michael Jeanson <mjeanson@debian.org>  Wed, 05 Jan 2022 14:08:28 -0500

lttng-modules (2.13.0-2) unstable; urgency=medium

  * [6d6009d] Update Salsa CI pipeline config
  * [9c934f8] Update to debhelper compat 12

 -- Michael Jeanson <mjeanson@debian.org>  Fri, 22 Oct 2021 12:08:28 -0400

lttng-modules (2.13.0-1) unstable; urgency=medium

  * [d3af6a6] New upstream version 2.13.0
  * [917bbe8] Refreshed patches for 2.13
  * [cf4c5cb] Bump watch file version to 4
  * [1902e3b] Update debian/copyright
  * [049e5c3] Exclude new docs from dkms package
  * [219cd42] Update dkms config

 -- Michael Jeanson <mjeanson@debian.org>  Mon, 18 Oct 2021 15:45:42 -0400

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,10 @@
 Source: lttng-modules
 Section: kernel
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Jon Bernard <jbernard@debian.org>
+Maintainer: Jon Bernard <jbernard@debian.org>
 Uploaders: Michael Jeanson <mjeanson@debian.org>
-Build-Depends: debhelper (>= 11~), dkms (>= 2.1.0.0), dpkg-dev (>= 1.16.1)
-Standards-Version: 4.4.1
+Build-Depends: debhelper-compat (= 12), dkms (>= 2.1.0.0)
+Standards-Version: 4.6.0.1
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/debian/lttng-modules.git
 Vcs-Browser: https://salsa.debian.org/debian/lttng-modules/

=== debian/tests/control ===
Test-Command: /usr/lib/dkms/dkms-autopkgtest
Restrictions: needs-root, isolation-machine, allow-stderr
Depends: @, dkms

## lttng-modules 2.13.3

=== debian/changelog ===
lttng-modules (2.13.3-2) unstable; urgency=medium

  [ Andreas Beckmann ]
  * [1a7054d] switch to dh-sequence-dkms
  * [b5f9942] switch to Testsuite: autopkgtest-pkg-dkms
  * [8a3be1e] look for kernel config in $kernel_source_dir/.config first
  * [eceedfa] the autopkgtests may run on Salsa CI

 -- Michael Jeanson <mjeanson@debian.org>  Wed, 01 Jun 2022 10:40:03 -0400

lttng-modules (2.13.3-1) unstable; urgency=medium

  * [74b0b84] New upstream version 2.13.3

 -- Michael Jeanson <mjeanson@debian.org>  Mon, 28 Mar 2022 15:07:40 -0400

lttng-modules (2.13.2-1) unstable; urgency=medium

  * [dbf1674] New upstream version 2.13.2

 -- Michael Jeanson <mjeanson@debian.org>  Sun, 13 Mar 2022 15:02:42 -0400

## lttng-modules 2.13.4

=== debian/changelog ===
lttng-modules (2.13.4-1ubuntu1) kinetic; urgency=medium

  * Support Linux 5.19 (LP: #1982297):
    - debian/patches/0001-fix-mm-page_alloc-fix-tracepoint-mm_page_alloc_zone_.patch
    - debian/patches/0002-fix-fs-Remove-flags-parameter-from-aops-write_begin-.patch
    - debian/patches/0003-fix-workqueue-Fix-type-of-cpu-in-trace-event-v5.19.patch

 -- Andrea Righi <andrea.righi@canonical.com>  Wed, 20 Jul 2022 07:03:01 +0000

lttng-modules (2.13.4-1) unstable; urgency=medium

  * [431cdf5] New upstream version 2.13.4

 -- Michael Jeanson <mjeanson@debian.org>  Fri, 03 Jun 2022 16:15:35 -0400

## lttng-modules 2.13.7

=== debian/changelog ===
lttng-modules (2.13.7-1) unstable; urgency=medium

  * [a85260b] New upstream version 2.13.7
  * [8da9d13] Update dkms config (Closes: #1019250)

 -- Michael Jeanson <mjeanson@debian.org>  Wed, 19 Oct 2022 14:29:50 -0400

## lttng-modules 2.13.8

=== debian/changelog ===
lttng-modules (2.13.8-1~ubuntu22.10.1) kinetic; urgency=medium

  * Fix jbd2 build (LP: #2017006)

 -- Roxana Nicolescu <roxana.nicolescu@canonical.com>  Thu, 20 Apr 2023 09:20:21 +0000

lttng-modules (2.13.8-1~ubuntu22.10.0) kinetic; urgency=medium

  * Backport dkms support for hwe support (LP: #2004644)

 -- Roxana Nicolescu <roxana.nicolescu@canonical.com>  Tue, 14 Feb 2023 15:07:11 +0100

lttng-modules (2.13.8-1) unstable; urgency=medium

  * [813bc03] New upstream version 2.13.8

 -- Michael Jeanson <mjeanson@debian.org>  Mon, 16 Jan 2023 11:47:18 -0500

## lttng-modules 2.13.9

=== debian/changelog ===
lttng-modules (2.13.9-1+deb12u1) bookworm; urgency=medium

  * Fix build on linux 5.10.0-33 from bullseye (Closes: #1095902)
  * [2f122b3] Bookworm gbp branch config
  * [91937e4] Add patch to fix build on Linux 5.10.220..5.11

 -- Michael Jeanson <mjeanson@debian.org>  Tue, 18 Feb 2025 15:19:43 -0500

lttng-modules (2.13.9-1) unstable; urgency=medium

  * [2f1b62b] New upstream version 2.13.9
    - Bugfix release, adds support for v6.2 and multiple stable kernels.

 -- Michael Jeanson <mjeanson@debian.org>  Tue, 07 Mar 2023 14:12:32 -0500

=== debian/control ===
--- 
+++ 
@@ -3,12 +3,13 @@
 Priority: optional
 Maintainer: Jon Bernard <jbernard@debian.org>
 Uploaders: Michael Jeanson <mjeanson@debian.org>
-Build-Depends: debhelper-compat (= 12), dkms (>= 2.1.0.0)
+Build-Depends: debhelper-compat (= 12), dh-sequence-dkms
 Standards-Version: 4.6.0.1
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/debian/lttng-modules.git
 Vcs-Browser: https://salsa.debian.org/debian/lttng-modules/
 Homepage: https://lttng.org
+Testsuite: autopkgtest-pkg-dkms
 
 Package: lttng-modules-dkms
 Architecture: all

## lttng-modules 2.13.10

=== debian/changelog ===
lttng-modules (2.13.10-1ubuntu1) noble; urgency=medium

  * Fix Linux 6.7 support. (LP: #2048771)

 -- Paolo Pisati <paolo.pisati@canonical.com>  Tue, 09 Jan 2024 10:39:56 +0000

lttng-modules (2.13.10-1) unstable; urgency=medium

  * [9cf6ada] New upstream version 2.13.10
    - Bugfix release, adds support for v6.3 and multiple stable kernels.
  * [53979b6] Refresh patches for 2.13.10

 -- Michael Jeanson <mjeanson@debian.org>  Mon, 12 Jun 2023 16:35:38 -0400

## lttng-modules 2.13.11

=== debian/changelog ===
lttng-modules (2.13.11-1ubuntu1) noble; urgency=medium

  * Linux 6.8 support 

 -- Paolo Pisati <paolo.pisati@canonical.com>  Wed, 13 Mar 2024 15:33:40 +0000

lttng-modules (2.13.11-1) unstable; urgency=medium

  * [91d897d] New upstream version 2.13.11
    - Bugfix release, adds support for v6.6 and v6.7

 -- Michael Jeanson <mjeanson@debian.org>  Thu, 11 Jan 2024 11:09:46 -0500

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: lttng-modules
 Section: kernel
 Priority: optional
-Maintainer: Jon Bernard <jbernard@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Jon Bernard <jbernard@debian.org>
 Uploaders: Michael Jeanson <mjeanson@debian.org>
 Build-Depends: debhelper-compat (= 12), dh-sequence-dkms
 Standards-Version: 4.6.0.1

## lttng-modules 2.13.14

=== debian/changelog ===
lttng-modules (2.13.14-1ubuntu1) oracular; urgency=medium

  * Fix Linux 6.11 FTBFS.

 -- Paolo Pisati <paolo.pisati@canonical.com>  Tue, 24 Sep 2024 13:34:05 +0000

lttng-modules (2.13.14-1) unstable; urgency=medium

  * [1f8eb0c] New upstream version 2.13.14
  * [2a2f5f6] Refresh patches for 2.13.14

 -- Michael Jeanson <mjeanson@debian.org>  Thu, 18 Jul 2024 13:55:33 -0400

lttng-modules (2.13.13-2) unstable; urgency=medium

  [ Andreas Beckmann ]
  * [d5a1f81] fix kernel version parsing if there are only two numeric
    components (Closes: #1074479)

  [ Michael Jeanson ]
  * [a5163d1] dkms: ftrace probe removed upstream
  * [6f28872] Refresh upstream signing key
  * [a96286a] Bump standards version to 4.6.2

 -- Michael Jeanson <mjeanson@debian.org>  Fri, 05 Jul 2024 16:50:27 -0400

lttng-modules (2.13.13-1) unstable; urgency=medium

  * [bc6f05d] New upstream version 2.13.13
    - Bugfix release, adds support for v6.9

 -- Michael Jeanson <mjeanson@debian.org>  Thu, 23 May 2024 14:01:19 -0400

lttng-modules (2.13.12-1) unstable; urgency=medium

  * [e8cef83] New upstream version 2.13.12
    - Bugfix release, adds support for v6.8
  * [363c5bf] Refresh patches for 2.13.12

 -- Michael Jeanson <mjeanson@debian.org>  Thu, 21 Mar 2024 17:40:11 -0400

## lttng-modules 2.13.15

=== debian/changelog ===
lttng-modules (2.13.15-1) unstable; urgency=medium

  * [c55dfc6] New upstream version 2.13.15
    - Bugfix release, adds support for v6.11 (Closes: #1081375)

 -- Michael Jeanson <mjeanson@debian.org>  Wed, 09 Oct 2024 14:22:41 -0400

## lttng-modules 2.13.16

=== debian/changelog ===
lttng-modules (2.13.16-1) unstable; urgency=medium

  * [e2da4b9] New upstream version 2.13.16
    - Bugfix release, adds support for v6.12

 -- Michael Jeanson <mjeanson@debian.org>  Tue, 19 Nov 2024 13:47:18 -0500

## lttng-modules 2.13.17

=== include/instrumentation/syscalls/lttng-syscalls-extractor/Makefile ===
# SPDX-License-Identifier: (GPL-2.0-only or LGPL-2.1-only)

ifneq ($(KERNELRELEASE),)

  # This part of the Makefile is used when called by the kernel build system
  # and defines the modules to be built.

  obj-m += lttng-syscalls-extractor.o

else # KERNELRELEASE

# This part of the Makefile is used when the 'make' command is runned in the
# base directory of the lttng-modules sources. It sets some environment and
# calls the kernel build system to build the actual modules.

KERNELDIR ?= /lib/modules/$(shell uname -r)/build
PWD := $(shell pwd)

default: modules

modules:
	$(MAKE) -C $(KERNELDIR) M=$(PWD) modules

clean:
	$(MAKE) -C $(KERNELDIR) M=$(PWD) clean

%.i: %.c
	$(MAKE) -C $(KERNELDIR) M=$(PWD) $@

endif # KERNELRELEASE

=== debian/changelog ===
lttng-modules (2.13.17-1ubuntu1) plucky; urgency=medium

  * Fix compile time errors in Linux 6.14.2 (LP: #2110562)
    - fix-trace_balance_dirty_pages-parameters-changed-in-Linux-v6.15-rc1.patch
    - fix-trace_balance_dirty_pages-parameters-changed-in-Linux-v6.14.2.patch
    - fix-trace_balance_dirty_pages-in-Linux-v6.14.2.patch

 -- Massimiliano Pellizzer <massimiliano.pellizzer@canonical.com>  Wed, 14 May 2025 06:53:48 +0200

lttng-modules (2.13.17-1) unstable; urgency=medium

  * [8dd4688] New upstream version 2.13.17
    - Bugfix release, adds support for v6.13
  * [ae31fe8] Refresh patches

 -- Michael Jeanson <mjeanson@debian.org>  Fri, 24 Jan 2025 16:13:08 -0500

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 XSBC-Original-Maintainer: Jon Bernard <jbernard@debian.org>
 Uploaders: Michael Jeanson <mjeanson@debian.org>
 Build-Depends: debhelper-compat (= 12), dh-sequence-dkms
-Standards-Version: 4.6.0.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/debian/lttng-modules.git
 Vcs-Browser: https://salsa.debian.org/debian/lttng-modules/

## lttng-modules 2.13.18

=== debian/changelog ===
lttng-modules (2.13.18-1+deb13u1) trixie; urgency=medium

  * Fix potential kernel crash with syscall tracing (Closes: ##1117551)
  * [4b4342c] debian/gbp.conf: branch config for trixie
  * [a8a56d6] Add patch to fix syscall tracing with kernels >= v6.13

 -- Michael Jeanson <mjeanson@debian.org>  Tue, 07 Oct 2025 13:46:28 -0400

lttng-modules (2.13.18-1) unstable; urgency=medium

  * [25407c8] New upstream version 2.13.18

 -- Michael Jeanson <mjeanson@debian.org>  Mon, 14 Apr 2025 18:01:05 -0400

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: lttng-modules
 Section: kernel
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Jon Bernard <jbernard@debian.org>
+Maintainer: Jon Bernard <jbernard@debian.org>
 Uploaders: Michael Jeanson <mjeanson@debian.org>
 Build-Depends: debhelper-compat (= 12), dh-sequence-dkms
 Standards-Version: 4.6.2

=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.asc/ \
    https://lttng.org/files/lttng-modules/lttng-modules-([\d\.]*)\.tar\.(?:gz|bz2)
